/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef PLUGINLISTWIDGETITEM_H_
#define PLUGINLISTWIDGETITEM_H_

#include <Qt/qlistwidget.h>

class HtpcInterface;

class PlugInListWidgetItem : public QListWidgetItem
{
public:
	PlugInListWidgetItem(QListWidget* view = 0, int type = Type) : QListWidgetItem(view, type) {}
	PlugInListWidgetItem(const QString& text, QListWidget* view = 0, int type = Type) : QListWidgetItem(text, view, type) {}

	void setInterface(HtpcInterface* plugin) {m_interface = plugin;}
	HtpcInterface* getInterface() {return m_interface;}

protected:
	
	HtpcInterface* m_interface;
};
#endif
