#ifdef WIN32
#include <Windows.h>
#endif
#include "HtpcControl.h"
#include <Qt/qapplication.h>

int main(int argc, char** argv)
{
	QApplication app(argc, argv);
	HtpcControl *application = new HtpcControl();
	app.setQuitOnLastWindowClosed(false);
	int retVal = app.exec();
	delete application;
	return retVal;
}
#ifdef WIN32

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
				   LPSTR lpCmdLine, int nShowCmd)
{	
	QApplication app(nShowCmd, 0);
	HtpcControl *application = new HtpcControl();			
	app.setQuitOnLastWindowClosed(false);
	int retVal = app.exec();
	delete application;
	return retVal;
}
#endif
