/**
	Copyright (C) 2006  Volker Wiendl

    This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published 
	by the Free Software Foundation.
    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
	without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See the GNU General Public License for more details.
    You should have received a copy of the GNU General Public License along with this program; 
	if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
*/
#ifndef IRCODEEVENT_H_
#define IRCODEEVENT_H_

#include <qt/qevent.h>

class IRCodeEvent :	public QEvent
{
	
public:
	IRCodeEvent(int code) : QEvent(QEvent::User), m_irCode(code) {}
	virtual ~IRCodeEvent() {}
	
	int getCode() {return m_irCode;}	

private:

	int m_irCode;	
};

#endif