#ifndef COMMANDDIALOG_H_
#define COMMANDDIALOG_H_

#include "Ui_CommandDialog.h"
#include <qt/qdom.h>

class CommandDialog : public QDialog, protected Ui_CommandDialog
{
	Q_OBJECT
public:
	CommandDialog(int commandOffset, QWidget* parent = 0, Qt::WFlags flags = 0);
	virtual ~CommandDialog();

	void addCommand(int id, const QString& command);

	void saveCommands(QDomElement& elemeent);

private slots:

	void close();
	void addCommand();	
	void removeCommand();
	void updateCommand();
	void itemChanged(QListWidgetItem*, QListWidgetItem*);

private:
	int m_commandOffset;
};
#endif